/*  ==========================================================================
    Module: TABLE
    ========================================================================== */

    .table
    {
        display: table;

        width: 100%;
    }

    .table__cell
    {
        display: table-cell;

        vertical-align: middle;
    }


    /* TABLE VIEW
    ========================================================================== */

    .table-view
    {
        padding-left: 0;
        margin-top: 0;
        margin-bottom: 15px;

        list-style: none; // Remove usual bullet styles from table view
        background-color: $white;
        border-top: 1px solid $white;
    }

    .table-view__cell
    {
        display: table;
        width: 100%;
        padding: $single-space / 3 $r-gutter / 2;
        padding-left: 12px!important;

        border-bottom: 1px solid $white;
        background-color: $gray-10;

        &:first-child
        {
            border-top: 1px solid $gray-10;
        }
    }

    .table-view__icon
    {
        display: table-cell;
        width: 25px;
        height: 25px;
        margin-left: $r-gutter / 2;
        padding-right: 5px;

        .icon
        {
            vertical-align: middle;
        }
    }

    .table-view__text
    {
        display: table-cell;
        margin-left: $r-gutter / 2;

        white-space: nowrap;
        vertical-align: middle;
    }

    .table-view__icon + .table-view__text
    {
        width: calc(100% - 100px);
    }

    .table-view__value
    {
        display: table-cell;
        padding-left: 2px;

        white-space: nowrap;
        font-weight: $font-weight-bold;
        text-align: right;
    }

    .table-view--sort
    {
        column-count: 1;
        column-gap: 0;

        /* FIX FOR WEBKIT COLUMN COUNT BUG */
        -webkit-margin-bottom-collapse: separate;

        @include breakpoint(medium)
        {
            column-count: 2;
            column-gap: 1px;
        }

        @include breakpoint(giant)
        {
            column-count: 3;
            column-gap: 1px;
        }

        .table-view__cell
        {
            @extend %grid__item;

            /* THE WHOLE BLOCK IS A FIX FOR WEBKIT COLUMN COUNT BUG */
            column-break-inside: avoid;
            display: inline-block;
            width: 100%;
            height: 35px;
        }
    }

    .table-view--columns
    {
        @extend %grid;

        .table-view__cell
        {
            @extend %grid__item;
            @extend %medium--one-half;
            @extend %giant--one-third;

            &:first-child
            {
                border-top: 0;
            }

            @include breakpoint(medium)
            {
                &:nth-child(2n)
                {
                    border-left: 1px solid $white;
                }
            }

            @include breakpoint(giant)
            {
                border-left: 1px solid $white;

                &:nth-child(3n+1)
                {
                    border-left: 0;
                }
            }
        }
    }